#include <iostream>
using namespace std;

int main(){
	long long int x1, y1, x2, y2, br=0;
	cin >> x1 >> y1 >> x2 >> y2;
	if(x1 == x2 || y1 == y2)
		br = 2;
	else if(x2-x1 == y2-y1)
		br = 1;
	cout << br;
}